Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Class NdsIdentityScope

    java.lang.Object
      |
      +--com.novell.java.security.Identity
            |
            +--com.novell.java.security.IdentityScope
                  |
                  +--com.novell.service.security.XplatIdentityScope
                        |
                        +--com.novell.service.security.NdsIdentityScope

public class NdsIdentityScope
extends XplatIdentityScope

Represents an authenticatable container in NDS, such as a context, or a tree. Every NdsIdentity is associated with an identity scope that is typically an NDS context. The NDS context is, in turn, associated with an NDS tree, which is associated with the NDS administrative domain scope. The tree domain scope is a child of the administrative domain scope. The context domain scope is a child of the tree domain scope. There may be many context domain scopes. A user identity is a child of the context domain scope.

For example, to construct a user named Karah, in a subcontext called Java, in a context called Engineering, and in an NDS tree called KARAH_CORP you might do the following: ``

     IdentityScope administrativeDomain  = new NdsIdentityScope();
     IdentityScope tree                  = new NdsIdentityScope("KARAH_CORP",administrativeDomain);
     IdentityScope context               = new NdsIdentityScope("Engineering",tree);
     IdentityScope subcontext            = new NdsIdentityScope("Java",context);
     Identity      user                  = new NdsIdentity("Karah",subcontext);

See Also:
  `Identity`, `IdentityScope`, `NdsIdentity`, `BinderyIdentity`, `BinderyIdentityScope`, Serialized Form

Field Summary
`static java.lang.String` | `ADMINISTRATIVE_DOMAIN_NAME` The administrative domain name.

Fields inherited from class com.novell.service.security.XplatIdentityScope
`ADMINISTRATIVE_DOMAIN_NAME`

Constructor Summary
`NdsIdentityScope()` Construct the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.
`NdsIdentityScope(IdentityScope scope)` Construct an identity scope from a scope.
`NdsIdentityScope(java.lang.String name)` Construct an identity scope with the specified String name and no scope.
`NdsIdentityScope(java.lang.String name, IdentityScope scope)` Construct an identity scope with the specified name and scope.

Methods inherited from class com.novell.service.security.XplatIdentityScope
`addIdentity, getIdentity, identities, removeIdentity, size`

Methods inherited from class com.novell.java.security.IdentityScope
`getIdentity, getSystemScope, setSystemScope, toString`

Methods inherited from class com.novell.java.security.Identity
`addCertificate, equals, getCertificates, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ADMINISTRATIVE_DOMAIN_NAME

    public static java.lang.String ADMINISTRATIVE_DOMAIN_NAME

  The administrative domain name.

Constructor Detail

### NdsIdentityScope

    public NdsIdentityScope()

  Construct the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.

### NdsIdentityScope

    public NdsIdentityScope(java.lang.String name)

  Construct an identity scope with the specified String name and no scope.
  Parameters:
    `name` - The name of the identity.

### NdsIdentityScope

    public NdsIdentityScope(java.lang.String name,
                            IdentityScope scope)
                     throws KeyManagementException

  Construct an identity scope with the specified name and scope.
  Parameters:
    `name` - The name of the identity scope.
    `scope` - The scope of the identity scope.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

### NdsIdentityScope

    public NdsIdentityScope(IdentityScope scope)
                     throws KeyManagementException

  Construct an identity scope from a scope.
  Parameters:
    `scope` - The scope from which to copy.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD